import util from 'node:util';
const logArray = (collection) => console.log(util.inspect(collection, { maxArrayLength: null }));
export const debugLogObject = (debug, minimumLevel, name, obj) => {
    if (minimumLevel > debug.level)
        return;
    console.log(`[knip] ${name}:`);
    console.log(util.inspect(obj, { depth: null, colors: true }));
};
export const debugLogFiles = (debug, minimumLevel, name, filePaths) => {
    if (minimumLevel > debug.level)
        return;
    console.debug(`[knip] ${name} (${filePaths.length}):`);
    if (debug.level > 1) {
        logArray(filePaths);
    }
};
export const debugLogSourceFiles = (debug, minimumLevel, name, sourceFiles) => {
    if (minimumLevel > debug.level)
        return;
    console.debug(`[knip] ${name} (${sourceFiles.length})`);
    if (debug.level > 1) {
        const files = sourceFiles.map(sourceFile => sourceFile.getFilePath());
        logArray(files);
    }
};
const debugLogDiff = (debug, minimumLevel, name, arrA, arrB) => {
    if (minimumLevel > debug.level)
        return;
    const onlyInA = arrA.filter(itemA => !arrB.includes(itemA)).sort();
    const onlyInB = arrB.filter(itemB => !arrA.includes(itemB)).sort();
    console.log(`[knip] ${name}`);
    console.log(`[knip] Only in left:`);
    logArray(onlyInA);
    console.log();
    console.log(`[knip] Only in right:`);
    logArray(onlyInB);
};
