/// <reference types="node" resolution-mode="require"/>
import { PerformanceObserver, PerformanceEntry } from 'node:perf_hooks';
import EasyTable from 'easy-table';
import type { TimerifyOptions } from 'node:perf_hooks';
declare type Timerify = <T extends (...params: any[]) => any>(fn: T, options?: TimerifyOptions) => T;
export declare const timerify: Timerify;
declare class Performance {
    enabled: boolean;
    entries: PerformanceEntry[];
    instanceId?: number;
    observer?: PerformanceObserver;
    constructor(enabled: boolean);
    start(name: string): void;
    end(name: string): void;
    getEntriesByName(): Record<string, number[]>;
    getTable(sort?: string[]): EasyTable;
    flush(): Promise<void>;
    print(): Promise<void>;
    reset(): void;
}
export declare const measure: Performance;
export {};
